glab(1)

NAME
glab-milestone-list - Get a list of milestones for a project or group.

SYNOPSIS
glab milestone list [flags]

DESCRIPTION
Get a list of milestones for a project or group.

OPTIONS
--group=""
    The ID or URL-encoded path of the group.

--include-ancestors[=false]
    Include milestones from all parent groups.

-p, --page=1
    Page number.

-P, --per-page=20
    Number of items to list per page.

--project=""
    The ID or URL-encoded path of the project.

--search=""
    Return only milestones with a title or description matching the provided string.

--show-id[=false]
    Show IDs in table output.

--state=""
    Return only 'active' or 'closed' milestones.

--title=""
    Return only the milestones having the given title.

OPTIONS INHERITED FROM PARENT COMMANDS
-h, --help[=false]
    Show help for this command.

-R, --repo=""
    Select another repository. Can use either OWNER/REPO or GROUP/NAMESPACE/REPO format. Also accepts full URL or Git URL.

EXAMPLE
     # List milestones for a given project
    $ glab milestone list --project 123
    $ glab milestone list --project example-group/project-path
    # List milestones for a group
    $ glab milestone list --group example-group
    # List only active milestones for a given group
    $ glab milestone list --group example-group --state active

SEE ALSO
glab-milestone(1)